org.apache.lucene.search.vectorhighlight

## Class BreakIteratorBoundaryScanner

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.BreakIteratorBoundaryScanner

All Implemented Interfaces:
  BoundaryScanner

    public class BreakIteratorBoundaryScanner
    extends Object
    implements BoundaryScanner

A `BoundaryScanner` implementation that uses `BreakIterator` to find boundaries in the text.

See Also:
  `BreakIterator`

### Constructor Summary

Constructors
Constructor and Description
`BreakIteratorBoundaryScanner(BreakIterator bi)`

### Method Summary

Methods
`int` `findEndOffset(StringBuilder buffer, int start)` Scan forward to find start offset.
`int` `findStartOffset(StringBuilder buffer, int start)` Scan backward to find end offset.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BreakIteratorBoundaryScanner

    public BreakIteratorBoundaryScanner(BreakIterator bi)

### Method Detail

#### findStartOffset

    public int findStartOffset(StringBuilder buffer,
                      int start)

Description copied from interface: `BoundaryScanner`
Scan backward to find end offset.

Specified by:
  `findStartOffset` in interface `BoundaryScanner`
Parameters:
  `buffer` - scanned object
  `start` - start offset to begin
Returns:
  the found start offset

#### findEndOffset

    public int findEndOffset(StringBuilder buffer,
                    int start)

Description copied from interface: `BoundaryScanner`
Scan forward to find start offset.

Specified by:
  `findEndOffset` in interface `BoundaryScanner`
Parameters:
  `buffer` - scanned object
  `start` - start offset to begin
Returns:
  the found end offset